import { SegmentedControl as FoundationSegmentedControl } from '@genesislcap/foundation-ui';
import { zeroSegmentedControlStyles as styles } from './segmented-control.styles';
import { zeroSegmentedControlTemplate as template } from './segmented-control.template';
export class SegmentedControl extends FoundationSegmentedControl {
}
export const zeroSegmentedControlShadowOptions = undefined;
export const defaultSegmentedControlConfig = {};
export const zeroSegmentedControl = SegmentedControl.compose(Object.assign({ baseName: 'segmented-control', template,
    styles, shadowOptions: zeroSegmentedControlShadowOptions }, defaultSegmentedControlConfig));
